Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class DirectoryEntry

    java.lang.Object
      org.apache.batik.svggen.font.table.DirectoryEntry

public class DirectoryEntry
extends java.lang.Object

Constructor Summary
`protected` | `DirectoryEntry(java.io.RandomAccessFile raf)`

Method Summary
`int` | `getChecksum()`
`int` | `getLength()`
`int` | `getOffset()`
`int` | `getTag()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryEntry

    protected DirectoryEntry(java.io.RandomAccessFile raf)
                      throws java.io.IOException

Method Detail

### getChecksum

    public int getChecksum()

### getLength

    public int getLength()

### getOffset

    public int getOffset()

### getTag

    public int getTag()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.